package com.tenlionsoft.baselib.core.beans;

/**
 * 作者: adam
 * 日期: 2021/10/29 - 4:56 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class SaveLocationBean {
    //    @CheckEmptyAnnotation(name = "用户经度")
    private String userLng;
    //    @CheckEmptyAnnotation(name = "用户维度")
    private String userLat;
    //    @CheckNumberAnnotation(name = "是否越界")
    private Integer isOverstep;
    //    @CheckEmptyAnnotation(name = "创建人")
    private String creator;
    //    @CheckEmptyAnnotation(name = "用户名")
    private String userUsername;
    //    @CheckEmptyAnnotation(name = "昵称")
    private String userName;

    private String cityCode;
    private String areaCode;
    private String streetCode;
    private String villageCode;
    private String fullAreaCode;

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getStreetCode() {
        return streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public String getVillageCode() {
        return villageCode;
    }

    public void setVillageCode(String villageCode) {
        this.villageCode = villageCode;
    }

    public String getFullAreaCode() {
        return fullAreaCode;
    }

    public void setFullAreaCode(String fullAreaCode) {
        this.fullAreaCode = fullAreaCode;
    }

    public String getUserLng() {
        return userLng;
    }

    public void setUserLng(String userLng) {
        this.userLng = userLng;
    }

    public String getUserLat() {
        return userLat;
    }

    public void setUserLat(String userLat) {
        this.userLat = userLat;
    }

    public Integer getIsOverstep() {
        return isOverstep;
    }

    public void setIsOverstep(Integer isOverstep) {
        this.isOverstep = isOverstep;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUserUsername() {
        return userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
